Class | Fog::Storage::IBM::Mock
In: | lib/fog/ibm/storage.rb lib/fog/ibm/requests/storage/list_offerings.rb lib/fog/ibm/requests/storage/get_volume.rb lib/fog/ibm/requests/storage/create_volume.rb lib/fog/ibm/requests/storage/list_volumes.rb lib/fog/ibm/requests/storage/delete_volume.rb
Parent: | Object

### Methods

create_volume data data delete_volume format_create_volume_response_for format_get_volume_response_for format_list_volumes_response get_volume list_offerings list_volumes new ready_volume reset reset_data volume_attached? volume_exists? volume_ready?

### Public Class methods

data()
new(options={})
reset()

### Public Instance methods

create_volume(name, offering_id, format, location_id, size)
data()
delete_volume(volume_id)
format_create_volume_response_for(volume_id)

The create_volume response doesn‘t contain ioPrice either

format_get_volume_response_for(volume_id)

get_volume response doesn‘t contain instanceId

format_list_volumes_response()

The list_volumes response doesn‘t contain ioPrice

get_volume(volume_id)

For whatever reason, get_volume returns different data than an entry in list_volumes

list_offerings()
list_volumes()
ready_volume(volume_id)

Sets volume status to Detached if it‘s not already set, and or attached

reset_data()
volume_attached?(volume_id)
volume_exists?(volume_id)
volume_ready?(volume_id)

Checks if an volume is Active

[Validate]